Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.unittest
Class TestSyndFeedAtom10

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.sun.syndication.unittest.FeedTest
                  com.sun.syndication.unittest.SyndFeedTest
                      com.sun.syndication.unittest.TestSyndFeedAtom03
                          com.sun.syndication.unittest.TestSyndFeedAtom10

All Implemented Interfaces:
  junit.framework.Test

    public class TestSyndFeedAtom10

extends TestSyndFeedAtom03

Author:
  pat, Dave Johnson (modified for Atom 1.0)

Constructor Summary
`` | `TestSyndFeedAtom10()`
`protected` | `TestSyndFeedAtom10(String type)`
`protected` | `TestSyndFeedAtom10(String feedType, String feedFileName)`

Method Summary
`protected void` | `_testEntry(int i)`
`void` | `getAuthor()`
`void` | `testCopyright()`
`void` | `testEntry0()`
`void` | `testEntry1()`
`void` | `testEntryLink()`
`void` | `testForeignMarkup()`
`void` | `testLink()`
`void` | `testPreservedWireItems()`
`void` | `testPublishedDate()`
`void` | `testTitle()`

Methods inherited from class com.sun.syndication.unittest.TestSyndFeedAtom03
`testDescription, testEntryDescription, testEntryTitle, testImage, testLanguage`

Methods inherited from class com.sun.syndication.unittest.SyndFeedTest
`assertEqualsStr, assertProperty, getEntryAuthor, getEntryDescription, getEntryLink, getEntryPublishedDate, getEntryTitle, getPrefix, tearDown, testEntries, testEntryPublishedDate, testPreserveWireFeed, testType`

Methods inherited from class com.sun.syndication.unittest.FeedTest
`getCachedJDomDoc, getCachedSyndFeed, getCachedSyndFeed, getCachedWireFeed, getFeedFileName, getFeedReader, getJDomDoc, getSyndFeed, getWireFeed`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestSyndFeedAtom10

    public TestSyndFeedAtom10()

### TestSyndFeedAtom10

    protected TestSyndFeedAtom10(String type)

### TestSyndFeedAtom10

    protected TestSyndFeedAtom10(String feedType,
                                 String feedFileName)

Method Detail

### testTitle

    public void testTitle()
                   throws Exception

  Overrides:
    `testTitle` in class `TestSyndFeedAtom03`
  Throws:
    `Exception`

### testLink

    public void testLink()
                  throws Exception

  Overrides:
    `testLink` in class `TestSyndFeedAtom03`
  Throws:
    `Exception`

### getAuthor

    public void getAuthor()
                   throws Exception

  Overrides:
    `getAuthor` in class `TestSyndFeedAtom03`
  Throws:
    `Exception`

### testCopyright

    public void testCopyright()
                       throws Exception

  Overrides:
    `testCopyright` in class `TestSyndFeedAtom03`
  Throws:
    `Exception`

### testForeignMarkup

    public void testForeignMarkup()
                           throws Exception

  Throws:
    `Exception`

### testPublishedDate

    public void testPublishedDate()
                           throws Exception

  Overrides:
    `testPublishedDate` in class `TestSyndFeedAtom03`
  Throws:
    `Exception`

### _testEntry

    protected void _testEntry(int i)
                       throws Exception

  Overrides:
    `_testEntry` in class `TestSyndFeedAtom03`
  Throws:
    `Exception`

### testEntry0

    public void testEntry0()
                    throws Exception

  Overrides:
    `testEntry0` in class `TestSyndFeedAtom03`
  Throws:
    `Exception`

### testEntry1

    public void testEntry1()
                    throws Exception

  Overrides:
    `testEntry1` in class `TestSyndFeedAtom03`
  Throws:
    `Exception`

### testEntryLink

    public void testEntryLink()
                       throws Exception

  Overrides:
    `testEntryLink` in class `TestSyndFeedAtom03`
  Throws:
    `Exception`

### testPreservedWireItems

    public void testPreservedWireItems()
                                throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.